Bank statements are listed from the most recent period to the oldest one.
Scope: bank-statements:read
Query parameters
-
Filter statements by account.
-
Filter statements covering a period within the given month, in the YYYY-MM format.
Format should match the following pattern:
^[0-9]{4}-(0[1-9]|1[0-2])$. -
Filter statements by file format.
Values are
pdforcfonb120. -
Index of the requested page. Deprecated, use
page_tokeninstead.Minimum value is
1. -
Token used to fetch a specific page, as returned by the
next_page_tokenorprev_page_tokenfield of a previous response. Mutually exclusive withpage. -
Number of elements per page in response.
Minimum value is
1, maximum value is100. Default value is10.
GET
/v2/bank_statements
curl \
--request GET 'https://api.memo.bank/v2/bank_statements'
Response examples (200)
{
"results": [
{
"id": "4b9b5c2c-0e6f-4d55-9a3e-96f3f0b8a0c1",
"account_id": "29883c3d-0b11-4c38-91b0-af9018cc5b14",
"format": "pdf",
"month": "2026-09",
"start_date": "2026-09-01",
"end_date": "2026-09-30",
"filename": "statement.pdf",
"size": 42,
"mime_type": "application/pdf",
"created_at": "2026-05-04T09:42:00Z"
}
],
"has_prev": true,
"has_next": true,
"next_page_token": "eyJwIjozfQ",
"prev_page_token": "eyJwIjoxfQ"
}